﻿/// <reference path="../../../../../../assets/lib/dist/sitecore.js" />

define(["sitecore", "/-/speak/v1/odg/applib.js"], function (_sc, applib) {
  return _sc.Definitions.App.extend({
    initialized: function () {
      this.DesignsListControl.on("change:selectedItemId", this.setInfoPanel, this);
    },

    setInfoPanel: function () {
      var selected = this.DesignsListControl.get("selectedItemId");
      this.closeDialog(selected);

      if (selected && selected.length > 0) {
        applib.getItemFromList(this.DesignsListControl, this.fillDesignInfo, this);
      }
    },

    fillDesignInfo: function (item) {
      this.DesignInfoContent.set("item", item);
    },
  });
});
